<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                xmlns:tools="http://schemas.android.com/tools"
                android:id="@+id/login_rl_main"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/white"
                android:orientation="vertical"
                tools:ignore="MissingDefaultResource">

    <!-- Logo -->
    <ImageView
        android:id="@+id/login_iv_logo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="25dp"
        android:src="@drawable/ic_launcher"/>

    <TextView
        android:id="@+id/login_tv_app_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/login_iv_logo"
        android:layout_centerHorizontal="true"
        android:layout_margin="10dp"
        android:text="@string/app_name"
        android:textColor="@color/white"
        android:textSize="18dp"/>


    <RelativeLayout
        android:id="@+id/login_rl_input_container"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/login_tv_app_name"
        android:layout_centerHorizontal="true"
        android:focusable="true"
        android:focusableInTouchMode="true"
        >

        <!-- 输入 课堂 id -->
        <EditText
            android:id="@+id/login_et_class_id"
            android:layout_width="300dp"
            android:layout_height="40dp"
            android:layout_centerHorizontal="true"
            android:hint="@string/login_input_hint_class_id"
            android:inputType="text"
            android:maxLength="40"
            android:text="1048545"/>
        <!-- 输入课堂 id 异常提示 -->
        <TextView
            android:id="@+id/login_tv_class_id_tips"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/login_et_class_id"
            android:layout_alignLeft="@id/login_et_class_id"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="1.5dp"
            android:layout_marginBottom="1.5dp"
            android:text="@string/login_error_tips_class_id"
            android:textColor="@color/red_eb6363"
            android:textSize="12dp"
            android:visibility="invisible"
           />

        <!-- 输入用户姓名 -->
        <EditText
            android:id="@+id/login_et_user_name"
            android:layout_width="300dp"
            android:layout_height="40dp"
            android:layout_below="@id/login_tv_class_id_tips"
            android:layout_centerHorizontal="true"
            android:hint="@string/login_input_hint_user_name"
            android:inputType="textPersonName"
            android:maxLength="10"
            android:text="邹丹"/>


    </RelativeLayout>

    <!-- 登录选项 -->
    <LinearLayout
        android:id="@+id/login_ll_login_option"
        android:layout_width="300dp"
        android:layout_height="wrap_content"
        android:layout_below="@id/login_rl_input_container"
        android:layout_centerHorizontal="true"
        android:layout_margin="1.5dp"
        android:gravity="left"
        android:orientation="horizontal"
        android:paddingLeft="14dp"
        android:paddingRight="14dp"
        android:visibility="gone">

        <CheckBox
            android:id="@+id/login_cb_listener"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingLeft="8dp"
            android:text="@string/login_option_listener"
            android:textColor="@color/color_666666"/>

        <CheckBox
            android:id="@+id/login_cb_close_camera"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="40dp"
            android:paddingLeft="8dp"
            android:text="@string/login_option_enter_without_video"
            android:textColor="@color/color_666666"
            />
    </LinearLayout>

    <!-- 加入课堂 -->
    <TextView
        android:id="@+id/login_tv_enter"
        android:layout_width="300dp"
        android:layout_height="44dp"
        android:layout_below="@+id/login_ll_login_option"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="20dp"
        android:alpha="0.40"
        android:background="@drawable/login_btn_enter"
        android:gravity="center"
        android:text="@string/login_enter_class"
        android:textColor="@color/white"
        android:textSize="17dp"/>

    <ImageView
        android:id="@+id/login_iv_setting"
        android:layout_width="41dp"
        android:layout_height="41dp"
        android:layout_alignParentTop="true"
        android:layout_alignParentRight="true"
        android:layout_marginTop="24dp"
        android:layout_marginRight="15dp"
        android:padding="9dp"
        />


</RelativeLayout>